## org.apache.taglibs.standard.tag.el.core
Class ForTokensTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.jstl.core.LoopTagSupport
              org.apache.taglibs.standard.tag.common.core.ForTokensSupport
                  org.apache.taglibs.standard.tag.el.core.ForTokensTag

All Implemented Interfaces:
  Serializable, LoopTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class ForTokensTag

extends ForTokensSupport
implements LoopTag, IterationTag

A handler for <forTokens> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.ForTokensSupport
`delims, items, st`

Fields inherited from class javax.servlet.jsp.jstl.core.LoopTagSupport
`begin, beginSpecified, deferredExpression, end, endSpecified, itemId, statusId, step, stepSpecified`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ForTokensTag()`

Method Summary
`int` `doStartTag()` Begins iterating by processing the first item.
`void` `release()` Releases any resources this LoopTagSupport may have (or inherit).
`void` `setBegin(String begin_)`
`void` `setDelims(String delims_)`
`void` `setEnd(String end_)`
`void` `setItems(String items_)`
`void` `setStep(String step_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.ForTokensSupport
`getDelims, hasNext, next, prepare`

Methods inherited from class javax.servlet.jsp.jstl.core.LoopTagSupport
`doAfterBody, doCatch, doFinally, getCurrent, getLoopStatus, setVar, setVarStatus, validateBegin, validateEnd, validateStep`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.jstl.core.LoopTag
`getCurrent, getLoopStatus`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, getParent, setPageContext, setParent`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, getParent, setPageContext, setParent`

Constructor Detail

### ForTokensTag

    public ForTokensTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `LoopTagSupport`
  Begins iterating by processing the first item.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `LoopTagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `LoopTagSupport`
  Releases any resources this LoopTagSupport may have (or inherit).

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ForTokensSupport`
  See Also:
    `Tag.release()`

### setBegin

    public void setBegin(String begin_)

### setEnd

    public void setEnd(String end_)

### setStep

    public void setStep(String step_)

### setItems

    public void setItems(String items_)

### setDelims

    public void setDelims(String delims_)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.